﻿.MAGGContainer {
    display: inline-flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    position: relative;
    box-sizing: border-box;
    border-radius: 0.5vh;
    width: 100%;
    padding: 0.4vh;
    color: black;
    font-size: 1.3vh;
    font-family: 'Segoe UI';
    border-style: solid;
    border-color: lightgray;
    border-width: 1px;
}

.MAGGColumnsContainer {
    display: inline-flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    box-sizing: border-box;
    width: 100%;
}

.MAGGTitleLine {
    display: inline-flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    font-size: 1vh;
    text-align: right;
    margin-bottom: 0.2vh;
    font-weight: bold;
    font-family: 'Courier New';
}

.MAGGTitle {
    color: inherit;
    text-decoration: none;
}

    .MAGGTitle:hover {
        text-decoration: underline;
    }

.MAGGTitleTools {
    display: inline-flex;
    flex-direction: row;
    justify-content: flex-end;
    align-items: center;
}

    .MAGGTitleTools img {
        cursor: pointer;
        height: 1.5vh;
        margin-left: 0.5vh;
    }

.MAGGTitleUpArow {
    display: none;
}

.MAGGReducedMode .MAGGTitleDownArow {
    display: none;
}

.MAGGReducedMode .MAGGTitleUpArow {
    display: inline !important;
}

.MAGGReducedMode .MAGGRightColumn {
    display: none !important;
}

.MAGGReducedMode .MAGGLeftColumn {
    flex-direction: row !important;
    width: 100% !important;
    justify-content: space-around !important;
}

.MAGGMain {
    cursor: pointer;
}

.MAGGColumn {
    display: inline-flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    box-sizing: border-box;
}

.MAGGLeftColumn {
    margin-right: 1vh;
}

.MAGGRightColumn {
    flex-grow: 1;
}

.MAGGIcon, .MAGGLineInfo {
    height: 1.5vw;
    box-sizing: border-box;
    margin-bottom: 0.2vh;
}

.MAGGIcon {
    width: 1.5vw;
    border-width: 0.6vh;
    border-style: solid;
    border-color: black;
    border-radius: 1vh;
    cursor: pointer;
    background-color: transparent;
    cursor: pointer;
}

    .MAGGIcon:hover {
        background-color: deepskyblue;
    }

.MAGGIconColorG {
    background-color: lightgrey;
}

.MAGGIconColorR {
    background-color: red;
}

@keyframes blinking {
    0% {
        background-color: transparent;
    }

    50% {
        background-color: orange;
    }

    100% {
        background-color: transparent;
    }
}

.MAGGIconColorO {
    animation: blinking 1s infinite;
    background-color: orange;
}

.MAGGIconColorV {
    background-color: lawngreen;
}

.MAGGLineInfo {
    display: inline-flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    border-radius: 0.5vh;
    padding-left: 0.2vh;
    padding-right: 0.2vh;
    width: 100%;
    box-sizing: border-box;
}

    .MAGGIcon:last-of-type, .MAGGLineInfo:last-of-type {
        margin-bottom: 0;
    }

    .MAGGLineInfo select {
        width: 100%;
    }

.MAGGPlusContainer {
    display: none;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    box-sizing: border-box;
    max-height: 33vh;
    border-radius: 0.5vh;
    color: black;
    font-size: 1.3vh;
    font-family: 'Segoe UI';
    position: absolute;
    background-color: black;
    color: white;
    overflow: hidden;
}

.MAGGPlusVisible {
    display: inline-flex !important;
}

.MAGGPlusClose {
    display: inline-flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
    font-family: 'Lucida Console';
    font-size: 1.4vh;
    padding: 0.3vh;
    width: 2.5vh;
    cursor: pointer;
    background-color: darkgray;
    color: white;
    align-self: flex-end;
}

    .MAGGPlusClose:hover {
        background-color: red;
    }

.MAGGPlusEdit {
    display: none;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: flex-end;
    margin-top: 0.5vh;
    margin-bottom: 0.5vh;
    width: 100%;
    box-sizing: border-box;
    padding-left: 0.4vh;
    padding-right: 0.4vh;
}

.MAGGPlusCanModify .MAGGPlusEdit {
    display: inline-flex !important;
}

.MAGGPlusListContent {
    display: inline-flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    margin-top: 0.5vh;
    width: 100%;
    box-sizing: border-box;
    flex-grow: 1;
    overflow: auto;
    padding: 0.4vh;
}

.MAGGPlusListLine {
    display: inline-flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    box-sizing: border-box;
    cursor: pointer;
    border-style: solid;
    border-width: 1px;
    border-color: transparent;
    padding: 0.2vh;
}

    .MAGGPlusListLine:hover {
        border-color: lightgray;
    }

    .MAGGPlusListLine img {
        height: 2vh;
        opacity: 0.2;
    }

    .MAGGPlusListLine:hover img {
        opacity: 1;
    }

.MAGGPlusSelect, .MAGGPlusInput1, .MAGGPlusInput2 {
    display: none;
    margin-right: 1vh;
}

.MAGGPlusInput1 {
    width: 3vw;
}

.MAGGPlusInput2 {
    flex-grow: 1;
}


.MAGGPlusModelocalisation .MAGGPlusSelect, .MAGGPlusModeconstat .MAGGPlusSelect,
.MAGGPlusModelocalisation .MAGGPlusInput2, .MAGGPlusModeconstat .MAGGPlusInput2,
.MAGGPlusModeeuro .MAGGPlusInput1, .MAGGPlusModeeuro .MAGGPlusInput2,
.MAGGPlusModecopyright .MAGGPlusInput2 {
    display: inline-block !important;
}
